 import "Turbine.UI"; 
 import "Turbine.UI.Extensions"; 
 import "Turbine.UI.Lotro"; 

 import "Homeopatix.HorseStable.Globals"
 import "Homeopatix.HorseStable.MinimizedIcon"
 import "Homeopatix.HorseStable.VindarPatch"
 import "Homeopatix.HorseStable.Commands"
 import "Homeopatix.HorseStable.LoadAndSave"
 import "Homeopatix.HorseStable.WindowSmall"
 import "Homeopatix.HorseStable.WindowBig"
 import "Homeopatix.HorseStable.WindowTiny"

Turbine.Shell.WriteLine("<rgb=#CC56DA>Horse Stable</rgb> <rgb=#DDDDDD>".. plugin:GetVersion() .." par Homeo</rgb>")

CreateLocalizationInfo();
LoadSettings();

------------------------------------------------------------------------------------------
-- create the window
------------------------------------------------------------------------------------------
if(settings.pluginSize == "tiny")then -- charge le plugin par sa taille
	CreateTinyWindow();
elseif(settings.pluginSize == "small")then -- charge le plugin par sa taille
	CreateSmallWindow();
elseif(settings.pluginSize == "big")then -- charge le plugin par sa taille
	CreateBigWindow();
end

------------------------------------------------------------------------------------------
-- handle minimizeIcon
------------------------------------------------------------------------------------------
MainMinimizedIcon = MinimizedIcon(Images.MinimizedIcon, 32, 32, HorseStableWindow:SetVisible(false));
settings.isWindowVisible = false;
SaveSettings(4);
MainMinimizedIcon:SetPosition(settings.minimizeX, settings.minimizeY);
MainMinimizedIcon:SetZOrder(0);
MainMinimizedIcon.PositionChanged = function()
	settings.minimizeX = MainMinimizedIcon:GetLeft();
	settings.minimizeY = MainMinimizedIcon:GetTop();
	SaveSettings(2);
end

HorseStableWindow.KeyDown=function(sender, args)
	if ( args.Action == Turbine.UI.Lotro.Action.Escape ) then
		HorseStableWindow:SetVisible(false);
		settings.isWindowVisible = false;
		SaveSettings(4);
	end
	
	-- https://www.lotro.com/forums/showthread.php?493466-How-to-hide-a-window-on-F12&p=6581962#post6581962
	if ( args.Action == 268435635 ) then
		hudVisible=not hudVisible;
		if hudVisible then
			HorseStableWindow:SetVisible(false);
			MainMinimizedIcon:SetVisible(false);
		else
			HorseStableWindow:SetVisible(settings.isWindowVisible);
			MainMinimizedIcon:SetVisible(true);
		end
	end
end

function HorseStableWindow:Closing(sender, args)
	settings.isWindowVisible = false;
	SaveSettings(4);
end

------------------------------------------------------------------------------------------
-- if the position changes, save the new window location
------------------------------------------------------------------------------------------
HorseStableWindow.PositionChanged = function( sender, args )
    local x,y = HorseStableWindow:GetPosition();
    settings.positionX = x;
    settings.positionY = y;
	SaveSettings(1);
end